Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 425822

Summary: dev-db/postgis-2.0.0 does not compile with postgresql 9.2
Product: Gentoo Linux Reporter: Miroslav Šulc <fordfrog>
Component: Current packagesAssignee: PgSQL Bugs <pgsql-bugs>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Miroslav Šulc gentoo-dev 2012-07-11 14:14:53 UTC
here is the error:

lwgeom_in_geojson.c: In function ‘geom_from_geojson’:
lwgeom_in_geojson.c:489:6: warning: variable ‘geojson_size’ set but not used [-Wunused-but-set-variable]
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wendif-labels -Wmissing-format-attribute -Wformat-security -fno-strict-aliasing -fwrapv -fexcess-precision=standard -fpic -I/usr/include   -I/usr/include/libxml2 -I../liblwgeom -I../libpgcommon -I. -I. -I/usr/include/postgresql-9.2/server -I/usr/include/postgresql-9.2/internal -D_GNU_SOURCE   -c -o lwgeom_triggers.o lwgeom_triggers.c
lwgeom_triggers.c: In function ‘cache_bbox’:
lwgeom_triggers.c:78:33: error: dereferencing pointer to incomplete type
make[1]: *** [lwgeom_triggers.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-db/postgis-2.0.0/work/postgis-2.0.0/postgis'
make: *** [all] Error 1

here is the upstream bug with solution:
http://trac.osgeo.org/postgis/ticket/1820

it is probably fixed in 2.0.1 which is out since 2012-06-22
Comment 1 Miroslav Šulc gentoo-dev 2012-07-15 08:05:36 UTC
just confirming the fix is included in 2.0.1
Comment 2 Aaron W. Swenson gentoo-dev 2012-07-25 12:43:48 UTC
*postgis-2.0.1 (25 Jul 2012)

  25 Jul 2012; Aaron W. Swenson <titanofold@gentoo.org> +postgis-2.0.1.ebuild:
  Version bump. Fixes bug 425822